DATE(1)

BEZEICHNUNG
date - Ausgeben oder Setzen von Systemdatum und -zeit

ÜBERSICHT
date [OPTION]… [+FORMAT]
date [OPTION]… MMDDhhmm[[CC]YY][.ss]

BESCHREIBUNG

Die aktuelle Uhrzeit und das aktuelle Datum im angegebenen FORMAT anzeigen. Mit -s oder mit MMDDhhmm[[CC]YY][.ss] wird die Systemzeit zuerst gesetzt.

Die zwingend erforderlichen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-d, --date=ZEICHENKETTE
    Die in ZEICHENKETTE beschriebene Zeit anzeigen, nicht »jetzt«

--debug
    kommentiert das ausgewertete Datum und warnt über fragwürdige Verwendungen in die Standardfehlerausgabe

-f, --file=DATUMSDATEI
    Wie --date; jeweils einmal für jede Zeile in DATUMSDATEI; falls DATUMSDATEI »-« lautet, werden die Namen von der Standardeingabe gelesen

-I[FMT], --iso-8601[=FMT]
    Datum und Zeit im ISO-8601-Format anzeigen. FMT=»date« (Voreinstellung), »hours«, »minutes«, »seconds« oder »ns« für Datum und Zeit mit angegebener Genauigkeit. Beispiel: 2006-08-14T02:34:56-06:00

--resolution
    verfügbare Auflösung für Zeitstempel anzeigen. Beispiel: 0.000000001

-R, --rfc-email
    Datum und Zeit im RFC-5322-Format anzeigen. Beispiel: Mon, 14 Aug 2006 02:34:56 +0000

--rfc-3339=FMT
    Datum/Zeit im RFC-3339-Format anzeigen. FMT=»date«, »seconds« oder »ns« für Datum und Zeit mit angegebener Genauigkeit. Beispiel: 2006-08-14 02:34:56-06:00

-r, --reference=DATEI
    Zeit der letzten Änderung von DATEI anzeigen

-s, --set=ZEICHENKETTE
    Die Zeit wie in ZEICHENKETTE beschrieben setzen

-u, --utc, --universal
    Koordinierte Weltzeit (UTC) anzeigen oder setzen

--help
    Zeigt Hilfeinformationen an und beendet das Programm.

--version
    Gibt Versionsinformationen aus und beendet das Programm.

Alle Optionen, die das anzuzeigende Datum angeben, schließen sich gegenseitig aus, z.B. --date, --file, --reference, --resolution.

FORMAT bestimmt die Ausgabe. Interpretierte Sequenzen sind:

%%  Ein Prozentzeichen (»%«)

%a  Abgekürzter Name des Wochentags der Locale (z. B. So)

%A  Voller Name des Wochentags der Locale (z. B. Sonntag)

%b  Abgekürzter Monatsname der Locale (z. B. Jan)

%B  Voller Monatsname der Locale (z. B. Januar)

%c  Datum und Zeit der Locale (z. B. Do 03 Mär 2005 23:05:25 CET)

%C  Jahrhundert; wie %Y, aber ohne die letzten beiden Stellen (z. B. 20)

%d  Tag des Monats (z. B. 01)

%D  Amerikanisches Datumsformat (mehrdeutig); dasselbe wie %m/%d/%y

%e  Tag des Monats, mit Leerzeichen aufgefüllt; dasselbe wie %_d

%F  Komplettes Datum; dasselbe wie %+4Y-%m-%d

%g  Die letzten beiden Stellen des Jahres der ISO‐Wochennummer (mehrdeutig; 00-99); siehe %G

%G  Jahr der ISO‐Wochennummer; normalerweise nur mit %V sinnvoll

%h  Dasselbe wie %b

%H  Stunde (00..23)

%I  Stunde (01..12)

%j  Tag des Jahres (001..366)

%k  Stunde, mit Leerzeichen aufgefüllt ( 0..23); dasselbe wie %_H

%l  Stunde, mit Leerzeichen aufgefüllt ( 1..12); dasselbe wie %_I

%m  Monat (01..12)

%M  Minute (00..59)

%n  Ein Zeilenumbruch

%N  Nanosekunden (000000000..999999999)

%p  Das Äquivalent von AM oder PM der Locale; leer, wenn unbekannt

%P  Wie %p, aber in Kleinbuchstaben

%q  Quartal des Jahres (1..4)

%r  Zeit im 12‐Stunden‐Format der Locale (z. B. 11:11:04)

%R  Stunden und Minuten im 24‐Stunden‐Format; dasselbe wie %H:%M

%s  Sekunden seit der »Epoche« (1. Januar 1970, 00:00:00 UTC).

%S  Sekunde (00..60)

%t  Ein Tabulator

%T  Zeit; dasselbe wie %H:%M:%S

%u  Tag der Woche (1..7); 1 steht für Montag

%U  Wochennummer des Jahres, mit Sonntag als erstem Tag der Woche (00..53)

%V  ISO‐Wochennummer, mit Montag als erstem Tag der Woche (01..53)

%w  Tag der Woche (0..6); 0 steht für Sonntag

%W  Wochennummer des Jahres, mit Montag als erstem Tag der Woche (00..53)

%x  Datumsrepräsentation der Locale (kann mehrdeutig sein; z. B. 31.12.1999)

%X  Zeitrepräsentation der Locale (z. B. 23:13:48)

%y  Die letzten zwei Ziffern des Jahres (mehrdeutig; 00..99)

%Y  Jahr

%z  +hhmm numerische Zeitzone (z. B. -0400)

%:z +hh:mm numerische Zeitzone (z. B. -04:00)

%::z
    +hh:mm:ss numerische Zeitzone (z. B. -04:00:00)

%:::z
    Numerische Zeitzone, die soviele »:« enthält, wie zur Präzision notwendig sind (z. B. -04, +05:30)

%Z  Alphabetische Zeitzonenabkürzung (z. B. EDT)

Standardmäßig füllt date numerische Felder mit Nullen auf. Die folgenden optionalen Schalter können »%« folgen:

-   (Minus) Feld nicht auffüllen

_   (Unterstrich) Mit Leerzeichen auffüllen

0   (Null) Mit Nullen auffüllen

+   Mit Nullen auffüllen und »+« vor zukünftige Jahre mit >4 Ziffern setzen

^   Großbuchstaben benutzen, wenn möglich

#   Groß- und Kleinbuchstaben vertauschen, wenn möglich

Nach jedem Schalter kommt eine optionale Feldbreite als Dezimalzahl und dann ein optionaler Modifikator, der entweder »E« oder »O« ist. Bei »E« wird die alternative Repräsentation der Locale verwendet, falls vorhanden. Bei »O« werden die alternativen numerischen Symbole der Locale verwendet, falls vorhanden.

BEISPIELE
Wandelt die Sekunden seit Beginn der Unix-Epoche (1970-01-01 UTC) in ein Datum um

    $ date --date='@2147483647'

Zeigt die Zeit an der Westküste der USA an (verwenden Sie tzselect(1), um den Wert für TZ herauszufinden)

    $ TZ='America/Los_Angeles' date

Zeigt die örtliche Zeit für 9 Uhr morgens am nächsten Freitag an der Westküste der USA an

    $ date --date='TZ="America/Los_Angeles" 09:00 next Fri'

DATUMSZEICHENKETTE
Bei der Anweisung --date=ZEICHENKETTE kann ein menschenlesbares Datum auf Englisch in einem ziemlich freien Format angegeben werden, beispielsweise »Sun, 29 Feb 2004 16:21:42 -0800«, »2004-02-29 16:21:42« oder sogar »next Thursday« (nächster Donnerstag). Eine Datumszeichenkette darf Teile enthalten, die das Kalenderdatum angeben, die Tageszeit, Zeitzone, den Tag der Woche, eine relative Zeit, ein relatives Datum sowie Zahlen. Eine leere Zeichenkette bedeutet den Anfang des aktuellen Tages. Das Format der Datumszeichenkette ist komplexer, als es hier in einfachen Worten beschrieben werden kann. In der Info-Dokumentation ist es vollständig erklärt.

AUTOR
Geschrieben von David MacKenzie.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-coreutils@gnu.org.
Website der GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: https://www.gnu.org/gethelp/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2026 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/date>
oder lokal verfügbar mit: info '(coreutils) date invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Mario Blättermann <mario.blaettermann@gmail.com>, Dr. Tobias Quathamer <toddy@debian.org> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.